# Module `Blocker`

Component to consume input in special zone defined by GUI node.

# Overview #

# Notes #

Blocker consume input if `gui.pick_node` works on it.

• Blocker inheritance BaseComponent, you can use all of its methods in addition to those described here.

• Blocker initial enabled state is `gui.is_enabled(node, true)`

• The Blocker node should be enabled to capture the input

### Usage:

    local node = gui.get_node("blocker_node")
    local blocker = self.druid:new_blocker(node)

## Functions

init(self, node) | Blocker constructor
is_enabled(self) | Return blocker enabled state
set_enabled(self, state) | Set enabled blocker component state.

## Fields

node | Blocker node

## Functions

init(self, node)
  Blocker constructor

  ### Parameters:

  - self Blocker Blocker
  - node node Gui node
is_enabled(self)
  Return blocker enabled state

  ### Parameters:

  - self Blocker Blocker

  ### Returns:

  bool True, if blocker is enabled
set_enabled(self, state)
  Set enabled blocker component state.

  Don't change node enabled state itself.

  ### Parameters:

  - self Blocker Blocker
  - state bool Enabled state

## Fields

node
  Blocker node
  - node node

generated by LDoc TESTING Last updated 2015-01-01 12:00:00